Bug 430540 - cmdline resynchronization corrupts mirror
cmdline resynchronization corrupts mirror
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: lvm2 (Show other bugs)
5.2
All Linux
medium Severity medium
: beta
: ---
Assigned To: Milan Broz
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-28 12:46 EST by Corey Marthaler
Modified: 2013-02-28 23:06 EST (History)
6 users (show)

See Also:
Fixed In Version: RHBA-2008-0378
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 11:39:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Corey Marthaler 2008-01-28 12:46:21 EST
Description of problem:

[root@hayes-02 ~]# lvs
  LV       VG            Attr   LSize  Origin Snap%  Move Log       Copy%  Convert
  LogVol00 VolGroup00    -wi-ao 72.44G
  LogVol01 VolGroup00    -wi-ao  1.94G
  test     mirror_sanity mwi-a-  5.00G                    test_mlog 100.00

[root@hayes-02 ~]# lvchange -an mirror_sanity/test

[root@hayes-02 ~]# lvs
  LV       VG            Attr   LSize  Origin Snap%  Move Log       Copy%  Convert
  LogVol00 VolGroup00    -wi-ao 72.44G
  LogVol01 VolGroup00    -wi-ao  1.94G
  test     mirror_sanity mwi---  5.00G                    test_mlog

[root@hayes-02 ~]# lvchange --resync -y mirror_sanity/test
  LV test_mlog is used by LV test:0, but missing ptr from test to test_mlog
  Internal error: LV segments corrupted in test_mlog.
  Failed to write intermediate VG metadata.

[root@hayes-02 ~]# lvs -a -o +devices
  LV              VG            Attr   LSize  Origin Snap%  Move Log       Copy%
 Convert Devices                
  LogVol00        VolGroup00    -wi-ao 72.44G                                  
          /dev/sda2(0)           
  LogVol01        VolGroup00    -wi-ao  1.94G                                  
          /dev/sda2(2318)        
  test            mirror_sanity mwi---  5.00G                    test_mlog     
          test_mimage_0(0),test_mimage_1(0)
  [test_mimage_0] mirror_sanity Iwi---  5.00G                                  
          /dev/etherd/e1.1p1(0)  
  [test_mimage_1] mirror_sanity Iwi---  5.00G                                  
          /dev/etherd/e1.1p2(0)  
  [test_mlog]     mirror_sanity lwi---  4.00M                                  
          /dev/etherd/e1.1p7(0)  


Version-Release number of selected component (if applicable):
lvm2-2.02.31-1.el5
lvm2-cluster-2.02.31-1.el5
cmirror-1.1.7-1.el5
kmod-cmirror-0.1.4-1.el5
Comment 2 Milan Broz 2008-01-29 08:22:46 EST
Fixed in lvm2-2.02.32-1.el5.
Comment 4 Corey Marthaler 2008-01-29 15:31:18 EST
fix verified in lvm2-2.02.32-1.el5/lvm2-cluster-2.02.32-1.el5.
Comment 6 errata-xmlrpc 2008-05-21 11:39:58 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0378.html

Note You need to log in before you can comment on or make changes to this bug.